# Uses of Class
javax.swing.plaf.basic.BasicSplitPaneDivider

Packages that use BasicSplitPaneDivider
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of BasicSplitPaneDivider in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as BasicSplitPaneDivider
Modifier and Type
Field
Description
`protected BasicSplitPaneDivider`
BasicSplitPaneUI.`divider`
Instance of the divider for this JSplitPane.
Methods in javax.swing.plaf.basic that return BasicSplitPaneDivider
Modifier and Type
Method
Description
`BasicSplitPaneDivider`
BasicSplitPaneUI.`createDefaultDivider()`
Creates the default divider.
`BasicSplitPaneDivider`
BasicSplitPaneUI.`getDivider()`
Returns the divider between the top Components.

## Uses of BasicSplitPaneDivider in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return BasicSplitPaneDivider
Modifier and Type
Method
Description
`BasicSplitPaneDivider`
MetalSplitPaneUI.`createDefaultDivider()`
Creates the default divider.

## Uses of BasicSplitPaneDivider in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return BasicSplitPaneDivider
Modifier and Type
Method
Description
`BasicSplitPaneDivider`
SynthSplitPaneUI.`createDefaultDivider()`
Creates the default divider.